;------------------------
; gdi32.dll inc
;------------------------


;-------------------------
; Functions
;-------------------------
from_dll	gdi32.dll
	
import		BitBlt [9]

import		CreateCompatibleDC
import		CreateDIBSection
import		CreateSolidBrush

import		DeleteObject
import		DeleteDC

import		GetDeviceCaps

import		SelectObject
import		SetTextColor
import		SetBkColor

import		TextOut	[5]		alias	TextOutA


;-------------------------
; Structures
;-------------------------

STRUC PAINTSTRUCT
	hdc			dd	?
	fErase			dd	?

	rect			rs	RECT,1

  	fRestore		dd	?
	fIncUpdate		dd	?
	rgbReserved		rb	32
ENDS




STRUC BITMAPFILEHEADER
	bfType			dw	?
	bfSize			dd	?
	bfReserved1		dw	?
	bfReserved2		dw	?
	bfOffBits		dd	?
ENDS
 

STRUC BITMAPINFOHEADER
	biSize			dd	?
	biWidth			dd	?
	biHeight		dd	?
	biPlanes		dw	?
	biBitCount		dw	?
	biCompression		dd	?
	biSizeImage		dd	?
	biXPelsPerMeter		dd	?
	biYPelsPerMeter		dd	?
	biClrUsed		dd	?
	biClrImportant		dd	?
ENDS


;-------------------------
; Equates
;-------------------------
BI_RGB		equ 0

DIB_RGB_COLORS                       equ 0
DIB_PAL_COLORS                       equ 1
DIB_PAL_INDICES                      equ 2
DIB_PAL_PHYSINDICES                  equ 2
DIB_PAL_LOGINDICES                   equ 4

;-------------------------
; for BITBLT
;-------------------------
BLACKNESS	EQU	00000042h
WHITENESS	EQU	00FF0062h
SRCCOPY		EQU	00cc0020h
SRCPAINT	EQU	00ee0086h
SRCAND		EQU	008800c6h

; for GetDeviceCaps
LOGPIXELSX	equ	88
LOGPIXELSY	equ	90



