ELF32
my_lin32_app
A simple Unix/Linux ELF32 application that uses LIBC functions
[*BEGINPRO*]
[*BEGINDEF*]
[MakeDef]
Menu=1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0
1=
2=3,O,sol_asm2.exe $2 $3 /elf32  /info
3=
4=
5=
6=
7=
11=
12=
13=
14=
15=
16=
17=
[MakeFiles]
0=my_lin32_app.rap
1=my_lin32_app.rc
2=my_lin32_app.asm
3=my_lin32_app.obj
4=my_lin32_app.res
5=my_lin32_app.exe
6=my_lin32_app.def
7=my_lin32_app.dll
8=my_lin32_app.txt
9=my_lin32_app.lib
10=my_lin32_app.mak
11=my_lin32_app.hla
[Resource]
[StringTable]
[Accel]
[VerInf]
[Group]
Group=Added files,Assembly,Resources,Misc,Modules
1=2
[*ENDDEF*]
[*BEGINTXT*]
my_lin32_app.Asm
;------------------------------------------------------------------------
; Solar Assembler example of making ELF32 object file
;
; build with:
;	 sol_asm2 test.asm test.obj -elf32
;
; link with:
;	gcc test.obj -o test.exe
;
; run:
;	./test.exe 
;-----------------------------------------------------------------------

;--------------------------
; sections
;--------------------------
section "code"		alias ".text"	class_code
section "data"		alias ".data"	class_data

;-----------------------
; functions from libC
;-----------------------
extern 	puts	cdecl
extern 	exit	cdecl
extern	printf	cdecl

;-----------------------------
; program text
;-----------------------------
.data
	msg_01		db	13,10,'Hi from Sol_Asm LIBC sample',0
	msg_02		db	13,10,'Message number 02',0
	msg_fmt		db	13,10,'Printf message: number1=%x main=%x ',13,10,0


.code

.entry main

main:
	;-------------------------------
	; use libc puts to write strings
	;-------------------------------
	invoke	puts,msg_01

	invoke	puts,msg_02

	;-----------------------
	; use libc printf
	;-----------------------
	invoke	printf, msg_fmt,777h,main

	;------------------------
	; libC exit function
	;------------------------
	invoke	exit,77h

	ret

;-----------------------------
; the end of program text
;-----------------------------
[*ENDTXT*]
[*ENDPRO*]
